For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate sound effect
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPISound Effects

Create sound effect

POST
/v1/sound-generation
POST
/v1/sound-generation
$curl -X POST https://api.elevenlabs.io/v1/sound-generation \
> -H "xi-api-key: xi-api-key" \
> -H "Content-Type: application/json" \
> -d '{
> "text": "Spacious braam suitable for high-impact movie trailer moments"
>}'

Turn text into sound effects for your videos, voice-overs or video games using the most advanced sound effects models in the world.

Was this page helpful?
Previous

Audio isolation

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

output_formatenumOptional

Output format of the generated audio. Formatted as codec_sample_rate_bitrate. So an mp3 with 22.05kHz sample rate at 32kbs is represented as mp3_22050_32. MP3 with 192kbps bitrate requires you to be subscribed to Creator tier or above. PCM with 44.1kHz sample rate requires you to be subscribed to Pro tier or above. Note that the μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs.

Request

This endpoint expects an object.
textstringRequired
The text that will get converted into a sound effect.
loopbooleanOptionalDefaults to false

Whether to create a sound effect that loops smoothly. Only available for the ‘eleven_text_to_sound_v2 model’.

duration_secondsdouble or nullOptional
The duration of the sound which will be generated in seconds. Must be at least 0.5 and at most 30. If set to None we will guess the optimal duration using the prompt. Defaults to None.
prompt_influencedouble or nullOptionalDefaults to 0.3
A higher prompt influence makes your generation follow the prompt more closely while also making generations less variable. Must be a value between 0 and 1. Defaults to 0.3.
model_idstringOptionalDefaults to eleven_text_to_sound_v2
The model ID to use for the sound generation.

Response headers

character-coststring
The number of characters used for billing

Response

The generated sound effect as an MP3 file

Errors

422
Unprocessable Entity Error